## kombu 3.0.7

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d .build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	-rm -rf .build/*

html:
	mkdir -p .build/html .build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) .build/html
	@echo
	@echo "Build finished. The HTML pages are in .build/html."

pickle:
	mkdir -p .build/pickle .build/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) .build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

web: pickle

json:
	mkdir -p .build/json .build/doctrees
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) .build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	mkdir -p .build/htmlhelp .build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) .build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in .build/htmlhelp."

latex:
	mkdir -p .build/latex .build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) .build/latex
	@echo
	@echo "Build finished; the LaTeX files are in .build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p .build/changes .build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) .build/changes
	@echo
	@echo "The overview file is in .build/changes."

linkcheck:
	mkdir -p .build/linkcheck .build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) .build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in .build/linkcheck/output.txt."

## kombu 1.0.4

=== debian/changelog ===
kombu (1.0.4-2) unstable; urgency=low

  * Team upload.
  * Rebuild to add Python 2.7 support

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 08 May 2011 16:45:56 +0200

kombu (1.0.4-1) unstable; urgency=low

  * Initial release (Closes: #611809)

 -- Fladischer Michael <FladischerMichael@fladi.at>  Mon, 07 Mar 2011 12:53:13 +0200

=== debian/control ===
Source: kombu
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Fladischer Michael <FladischerMichael@fladi.at>
Build-Depends: debhelper (>= 7.0.50~),
               python-all (>= 2.6.6-3~),
               python-amqplib (>= 0.6),
               python-anyjson,
               python-nose,
               python-pymongo,
               python-setuptools,
               python-simplejson,
               python-sphinx,
               python-unittest2,
               python-yaml
Build-Conflicts: python-cjson
X-Python-Version: >= 2.4
Standards-Version: 3.9.1
Homepage: http://github.com/ask/kombu/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/kombu/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/kombu/trunk/

Package: python-kombu
Architecture: all
Depends: python-amqplib (>= 0.6),
         python-anyjson,
         ${misc:Depends},
         ${python:Depends}
Recommends: python-simplejson, python-yaml
Breaks: python-cjson, ${python:Breaks}
Suggests: python-kombu-doc, python-pymongo
Description: AMQP Messaging Framework for Python
 The aim of Kombu is to make messaging in Python as easy as possible by
 providing an idiomatic high-level interface for the AMQP protocol. It is meant
 to replace the carrot library by providing a compatibility layer.
 .
 Features:
  * Allows application authors to support several message server solutions by
    using pluggable transports.
  * Supports automatic encoding, serialization and compression of message
    payloads.
  * The ability to ensure that an operation is performed by gracefully handling
    connection and channel errors.

Package: python-kombu-doc
Section: doc
Architecture: all
Depends: python-kombu, ${misc:Depends}, ${python:Depends}
Recommends: libjs-jquery
Description: AMQP Messaging Framework for Python (Documentation)
 The aim of Kombu is to make messaging in Python as easy as possible by
 providing an idiomatic high-level interface for the AMQP protocol. It is meant
 to replace the carrot library by providing a compatibility layer.
 .
 Features:
  * Allows application authors to support several message server solutions by
    using pluggable transports.
  * Supports automatic encoding, serialization and compression of message
    payloads.
  * The ability to ensure that an operation is performed by gracefully handling
    connection and channel errors.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

.PHONY: override_dh_installdocs
override_dh_installdocs:
	PYTHONPATH=. sphinx-build -b html -d .build/.doctrees -N docs .build/html
	dh_installdocs
	rm debian/python-kombu-doc/usr/share/doc/python-kombu-doc/html/_static/jquery.js

.PHONY: override_dh_auto_test
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; \
	for python in $(shell pyversions -r); do \
	  $$python setup.py test ; \
	done
endif

.PHONY: override_dh_compress
override_dh_compress:
	dh_compress -X .js -X .html

.PHONY: override_dh_clean
override_dh_clean:
	rm -rf .build
	rm -rf kombu.egg-info/PKG-INFO
	dh_clean

## kombu 1.4.3

=== debian/changelog ===
kombu (1.4.3-1) unstable; urgency=low

  [ Fladischer Michael ]
  * New upstream release.
  * Temporary fix for Metadata-Version in PKG-INFO.

  [ Jakub Wilk ]
  * Bump minimum required python-sphinx version to 1.0.7+dfsg.

  [ Fladischer Michael ]
  * Fix whitespace in versioned dependencies.

 -- Fladischer Michael <FladischerMichael@fladi.at>  Thu, 17 Nov 2011 10:56:00 +0100

kombu (1.2.1-1) unstable; urgency=low

  * New upstream release.
  * Depend on python-anyjson (>=0.3.1), therefor no longer recommend
    python-simplejson.
  * Remove ${python:Breaks} as dh_python2 no longer needs it.
  * Bumped Standards-Version to 3.9.2 (no change necessary).
  * Add version to Breaks: python-cjson (<= 1.0.5-4+b1).
  * Add python-boto to dependencies.
  * Clean up after build.
  * Use dh_sphinxdoc.

 -- Fladischer Michael <FladischerMichael@fladi.at>  Mon, 05 Sep 2011 23:18:16 +0200

=== debian/control ===
--- 
+++ 
@@ -5,31 +5,33 @@
 Uploaders: Fladischer Michael <FladischerMichael@fladi.at>
 Build-Depends: debhelper (>= 7.0.50~),
                python-all (>= 2.6.6-3~),
-               python-amqplib (>= 0.6),
-               python-anyjson,
+               python-amqplib (>= 1.0),
+               python-anyjson (>= 0.3.1),
+               python-boto,
+               python-couchdb (>= 0.8),
                python-nose,
                python-pymongo,
                python-setuptools,
                python-simplejson,
-               python-sphinx,
+               python-sphinx (>= 1.0.7+dfsg),
                python-unittest2,
                python-yaml
 Build-Conflicts: python-cjson
 X-Python-Version: >= 2.4
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://github.com/ask/kombu/
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/kombu/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/kombu/trunk/
 
 Package: python-kombu
 Architecture: all
-Depends: python-amqplib (>= 0.6),
-         python-anyjson,
+Depends: python-amqplib (>= 1.0),
+         python-anyjson (>= 0.3.1),
          ${misc:Depends},
          ${python:Depends}
-Recommends: python-simplejson, python-yaml
-Breaks: python-cjson, ${python:Breaks}
-Suggests: python-kombu-doc, python-pymongo
+Recommends: python-yaml
+Breaks: python-cjson (<= 1.0.5-4+b1)
+Suggests: python-boto, python-couchdb (>= 0.8), python-kombu-doc, python-pymongo
 Description: AMQP Messaging Framework for Python
  The aim of Kombu is to make messaging in Python as easy as possible by
  providing an idiomatic high-level interface for the AMQP protocol. It is meant
@@ -46,8 +48,7 @@
 Package: python-kombu-doc
 Section: doc
 Architecture: all
-Depends: python-kombu, ${misc:Depends}, ${python:Depends}
-Recommends: libjs-jquery
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: AMQP Messaging Framework for Python (Documentation)
  The aim of Kombu is to make messaging in Python as easy as possible by
  providing an idiomatic high-level interface for the AMQP protocol. It is meant

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,sphinxdoc

.PHONY: override_dh_auto_build
override_dh_auto_build:
	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs docs/.build/html
	dh_auto_build

.PHONY: override_dh_auto_test
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; \
	for python in $(shell pyversions -r); do \
	  $$python setup.py test ; \
	done
endif

.PHONY: override_dh_compress
override_dh_compress:
	dh_compress -X .js -X .html

.PHONY: override_dh_clean
override_dh_clean:
	rm -rf docs/.build
	rm -rf kombu.egg-info/PKG-INFO
	dh_clean

.PHONY: override_dh_auto_install
override_dh_auto_install:
	dh_auto_install
	sed -i 's/Metadata-Version: 1\.0/Metadata-Version: 1\.1/' debian/tmp/usr/lib/python2.*/*-packages/kombu-1.4.3.egg-info/PKG-INFO

## kombu 2.1.0

=== debian/changelog ===
kombu (2.1.0-1) unstable; urgency=low

  * New upstream release (Closes: #611895).
  * Add python-pika, python-sqlalchemy and python-django to Suggests/B-D
    because of new transports.
  * Increase X-Python-Version because python 2.4 is not longer supported
    by upstream in 2.x releases.
  * Add python-mock to B-D because tests require it.
  * Make Metadata-Version fix more generic.
  * Change order of my name.
  * Update patch.
  * Add NEWS file to inform about backwards-incompatible changes to transports.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Wed, 22 Feb 2012 15:11:14 +0200

=== debian/control ===
--- 
+++ 
@@ -2,22 +2,26 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Fladischer Michael <FladischerMichael@fladi.at>
+Uploaders: Michael Fladischer <FladischerMichael@fladi.at>
 Build-Depends: debhelper (>= 7.0.50~),
                python-all (>= 2.6.6-3~),
                python-amqplib (>= 1.0),
                python-anyjson (>= 0.3.1),
                python-boto,
                python-couchdb (>= 0.8),
+               python-django,
+               python-mock,
                python-nose,
+               python-pika (>= 0.9.5),
                python-pymongo,
                python-setuptools,
                python-simplejson,
                python-sphinx (>= 1.0.7+dfsg),
+               python-sqlalchemy,
                python-unittest2,
                python-yaml
 Build-Conflicts: python-cjson
-X-Python-Version: >= 2.4
+X-Python-Version: >= 2.5
 Standards-Version: 3.9.2
 Homepage: http://github.com/ask/kombu/
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/kombu/trunk/
@@ -31,7 +35,13 @@
          ${python:Depends}
 Recommends: python-yaml
 Breaks: python-cjson (<= 1.0.5-4+b1)
-Suggests: python-boto, python-couchdb (>= 0.8), python-kombu-doc, python-pymongo
+Suggests: python-boto,
+          python-couchdb (>= 0.8),
+          python-django,
+          python-kombu-doc,
+          python-pika (>= 0.9.5),
+          python-pymongo,
+          python-sqlalchemy
 Description: AMQP Messaging Framework for Python
  The aim of Kombu is to make messaging in Python as easy as possible by
  providing an idiomatic high-level interface for the AMQP protocol. It is meant

## kombu 2.1.8

=== debian/changelog ===
kombu (2.1.8-1ubuntu1) quantal; urgency=low

  * debian/control: Drop build depends (and therefore suggests) on python-couchdb,
    as it is not required in main. LP: #844995 

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Sun, 12 Aug 2012 11:30:37 +0100

kombu (2.1.8-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Mon, 23 Apr 2012 15:20:01 +0200

kombu (2.1.2-1) unstable; urgency=low

  * New upstream release.
  * Update years in d/copyright.
  * Bump to standards version 3.9.3.
  * Update DEP-5 URL to 1.0.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Tue, 27 Mar 2012 16:54:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: kombu
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Michael Fladischer <FladischerMichael@fladi.at>
 Build-Depends: debhelper (>= 7.0.50~),
                python-all (>= 2.6.6-3~),
                python-amqplib (>= 1.0),
                python-anyjson (>= 0.3.1),
                python-boto,
-               python-couchdb (>= 0.8),
                python-django,
                python-mock,
                python-nose,
@@ -22,7 +22,7 @@
                python-yaml
 Build-Conflicts: python-cjson
 X-Python-Version: >= 2.5
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://github.com/ask/kombu/
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/kombu/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/kombu/trunk/
@@ -36,7 +36,6 @@
 Recommends: python-yaml
 Breaks: python-cjson (<= 1.0.5-4+b1)
 Suggests: python-boto,
-          python-couchdb (>= 0.8),
           python-django,
           python-kombu-doc,
           python-pika (>= 0.9.5),

## kombu 2.5.12

=== debian/changelog ===
kombu (2.5.12-0ubuntu2~cloud1) precise-havana; urgency=low

  * debian/control: Build with python-pika 0.9.13 and newer.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 07 Oct 2013 15:25:09 -0400

kombu (2.5.12-0ubuntu2~cloud0) precise-havana; urgency=low

  * New upstream release for the Ubuntu Cloud Archive.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 16 Jul 2013 14:49:06 -0400

kombu (2.5.12-0ubuntu2) saucy; urgency=low

  * debian/patches/remove_nose-cover3.patch: Re-add fixes FTBFS.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 03 Jul 2013 17:56:31 -0500

kombu (2.5.12-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * debian/control: Dropped python-amqplib in favor of
    python-amqp.
  * debian/patches/remove_nose-cover3.patch: Dropped no longer
    needed.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 03 Jul 2013 07:53:07 -0500

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
 Uploaders: Michael Fladischer <FladischerMichael@fladi.at>
 Build-Depends: debhelper (>= 7.0.50~),
                python-all (>= 2.6.6-3~),
-               python-amqplib (>= 1.0),
+               python-amqp,
                python-anyjson (>= 0.3.1),
                python-boto,
                python-django,
                python-mock,
                python-nose,
-               python-pika (>= 0.9.5),
+               python-pika (>= 0.9.13),
                python-pymongo,
                python-setuptools,
                python-simplejson,
@@ -29,7 +29,7 @@
 
 Package: python-kombu
 Architecture: all
-Depends: python-amqplib (>= 1.0),
+Depends: python-amqp,
          python-anyjson (>= 0.3.1),
          ${misc:Depends},
          ${python:Depends}

=== debian/rules ===
--- 
+++ 
@@ -30,4 +30,4 @@
 .PHONY: override_dh_auto_install
 override_dh_auto_install:
 	dh_auto_install
-	sed -i 's/Metadata-Version: 1\.0/Metadata-Version: 1\.1/' debian/tmp/usr/lib/python2.*/*-packages/kombu-1.4.3.egg-info/PKG-INFO
+	sed -i 's/Metadata-Version: 1\.0/Metadata-Version: 1\.1/' debian/tmp/usr/lib/python2.*/*-packages/kombu-*.egg-info/PKG-INFO

## kombu 2.5.15

=== debian/changelog ===
kombu (2.5.15-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Mon, 07 Oct 2013 11:40:35 +0200

kombu (2.5.14-1) unstable; urgency=low

  * New upstream release.
  * Bump debhelper Build-Depends to >= 8.1.0~.
  * Bump Standards version to 3.9.4.
  * Bump Depends and Build-Depends on python-amqp to >= 1.0.13.
  * Add python-librabbitmq to Build-Depends and Depends as the preferred
    alternative to python-amqp.
  * Add python-beanstalkc to Build-Depends and Suggests.
  * Drop temporary workaround for Metadata-Version in d/rules.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Mon, 02 Sep 2013 19:40:58 +0200

kombu (2.5.12-1) unstable; urgency=low

  [ Thomas Goirand ]
  * Team upload.
  * New upstream release.
  * Now depending on new python-amqp instead of python-amqplib.

  [ Jakub Wilk <jwilk@debian.org> ]
  * Use canonical URIs for Vcs-* fields.

  [ Michael Fladischer <FladischerMichael@fladi.at> ]
  * Bump dependency on python-anyjson to >= 0.3.3.
  * Refresh patches.

 -- Thomas Goirand <zigo@debian.org>  Thu, 27 Jun 2013 09:32:47 +0000

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,21 @@
 Source: kombu
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Michael Fladischer <FladischerMichael@fladi.at>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 8.1.0~),
                python-all (>= 2.6.6-3~),
-               python-amqp,
-               python-anyjson (>= 0.3.1),
+               python-amqp (<< 1.1.0),
+               python-amqp (>= 1.0.13),
+               python-anyjson (>= 0.3.3),
+               python-beanstalkc,
                python-boto,
+               python-couchdb (>= 0.8),
                python-django,
+               python-librabbitmq,
                python-mock,
                python-nose,
-               python-pika (>= 0.9.13),
+               python-pika (>= 0.9.5),
                python-pymongo,
                python-setuptools,
                python-simplejson,
@@ -22,20 +25,22 @@
                python-yaml
 Build-Conflicts: python-cjson
 X-Python-Version: >= 2.5
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://github.com/ask/kombu/
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/kombu/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/kombu/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/kombu/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/kombu/trunk/
 
 Package: python-kombu
 Architecture: all
-Depends: python-amqp,
-         python-anyjson (>= 0.3.1),
+Depends: python-librabbitmq | python-amqp (>= 1.0.13),
+         python-anyjson (>= 0.3.3),
          ${misc:Depends},
          ${python:Depends}
 Recommends: python-yaml
 Breaks: python-cjson (<= 1.0.5-4+b1)
 Suggests: python-boto,
+          python-beanstalkc,
+          python-couchdb (>= 0.8),
           python-django,
           python-kombu-doc,
           python-pika (>= 0.9.5),

## kombu 3.0.7

=== debian/changelog ===
kombu (3.0.7-1ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/control: Drop build depends (and therefore suggests)
      on python-couchdb, as it is not required in main. LP: #844995
    - debian/patches/remove_nose-cover3.patch: Re-add fixes FTBFS.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Jan 2014 20:15:13 +0100

kombu (3.0.7-1) unstable; urgency=low

  * New upstream release.
  * No longer supports python 2.5, reflect in X-Python-Version.
  * Bump Standards version to 3.9.5.
  * Bump Depends and Build-Depends on python-amqp to >= 1.3.3.
  * Bump upper version limit for Build-Depends on python-amqp to (<<
    2.0).
  * Refresh patch.
  * README was renamed to README.rst.
  * Add kombu.egg-info/requires.txt do debian/clean.
  * Make Build-Depends on python-all and python-pika unversioned as no
    prior versions are available in Wheezy.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Wed, 11 Dec 2013 11:22:10 +0100

kombu (2.5.14-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: Drop build depends (and therefore suggests)
      on python-couchdb, as it is not required in main. LP: #844995

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 05 Nov 2013 14:10:23 +0800

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: kombu
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Michael Fladischer <FladischerMichael@fladi.at>
 Build-Depends: debhelper (>= 8.1.0~),
-               python-all (>= 2.6.6-3~),
-               python-amqp (<< 1.1.0),
-               python-amqp (>= 1.0.13),
+               python-all,
+               python-amqp (<< 2.0),
+               python-amqp (>= 1.3.3),
                python-anyjson (>= 0.3.3),
                python-beanstalkc,
                python-boto,
-               python-couchdb (>= 0.8),
                python-django,
                python-librabbitmq,
                python-mock,
                python-nose,
-               python-pika (>= 0.9.5),
+               python-pika,
                python-pymongo,
                python-setuptools,
                python-simplejson,
@@ -24,15 +24,15 @@
                python-unittest2,
                python-yaml
 Build-Conflicts: python-cjson
-X-Python-Version: >= 2.5
-Standards-Version: 3.9.4
+X-Python-Version: >= 2.6
+Standards-Version: 3.9.5
 Homepage: http://github.com/ask/kombu/
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/kombu/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/kombu/trunk/
+Vcs-Svn: svn://svn.debian.org/python-modules/packages/kombu/trunk/
+Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/kombu/trunk/
 
 Package: python-kombu
 Architecture: all
-Depends: python-librabbitmq | python-amqp (>= 1.0.13),
+Depends: python-librabbitmq | python-amqp (>= 1.3.3),
          python-anyjson (>= 0.3.3),
          ${misc:Depends},
          ${python:Depends}
@@ -40,10 +40,9 @@
 Breaks: python-cjson (<= 1.0.5-4+b1)
 Suggests: python-boto,
           python-beanstalkc,
-          python-couchdb (>= 0.8),
           python-django,
           python-kombu-doc,
-          python-pika (>= 0.9.5),
+          python-pika,
           python-pymongo,
           python-sqlalchemy
 Description: AMQP Messaging Framework for Python

=== debian/rules ===
--- 
+++ 
@@ -26,8 +26,3 @@
 	rm -rf docs/.build
 	rm -rf kombu.egg-info/PKG-INFO
 	dh_clean
-
-.PHONY: override_dh_auto_install
-override_dh_auto_install:
-	dh_auto_install
-	sed -i 's/Metadata-Version: 1\.0/Metadata-Version: 1\.1/' debian/tmp/usr/lib/python2.*/*-packages/kombu-*.egg-info/PKG-INFO

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/k/kombu/kombu-([\d\.]+)\.tar\.gz

## kombu 3.0.21

=== debian/changelog ===
kombu (3.0.21-2ubuntu1) utopic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: Drop build depends (and therefore suggests)
      on python-couchdb, as it is not required in main.

 -- James Page <james.page@ubuntu.com>  Tue, 30 Sep 2014 13:25:37 +0100

kombu (3.0.21-2) unstable; urgency=low

  * Python3 package. Closes: #754047.
  * New upstream release. Closes: #757691.
  * Remove recommends/build-depends on python-librabbitmq as it is still
    broken.

 -- Brian May <bam@debian.org>  Mon, 11 Aug 2014 11:56:03 +1000

kombu (3.0.19-3) unstable; urgency=low

  * Add python-librabbitmq (>= 1.5.2) to Recommends as a optional faster
    transport than python-amqp.
  * Add python-librabbitmq (>= 1.5.2) to Build-Depends to enable additional
    tests during build.
  * Drop versioned dependencies on python-amqp as there are no older releases
    in the archive.
  * Run wrap-and-sort on the packaging code.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Sat, 09 Aug 2014 16:33:05 +0200

kombu (3.0.19-2ubuntu1) utopic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: Drop build depends (and therefore suggests)
      on python-couchdb, as it is not required in main.
  * Dropped changes, included in Debian:
    - d/tests/control: Add allow-stderr restriction so test output does
      not cause autopkgtest failure.

 -- James Page <james.page@ubuntu.com>  Fri, 25 Jul 2014 14:53:07 +0100

kombu (3.0.19-2) unstable; urgency=medium

  [ Michael Fladischer ]
  * Fix output redirection for nose tests used in autopkgtest (see #460242).

  [ Brian May ]
  * Remove depends on python-librabbitmq, as python-librabbitmq is broken
    (see #747270). python-amqp should be sufficient.

 -- Brian May <bam@debian.org>  Tue, 22 Jul 2014 15:20:26 +1000

kombu (3.0.19-1ubuntu2) utopic; urgency=medium

  * d/tests/control: Add allow-stderr restriction so test output does
    not cause autopkgtest failure.

 -- James Page <james.page@ubuntu.com>  Mon, 14 Jul 2014 13:44:40 +0100

kombu (3.0.19-1ubuntu1) utopic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: Drop build depends (and therefore suggests)
      on python-couchdb, as it is not required in main.
  * Dropped changes, included upstream:
    - debian/patches/remove_nose-cover3.patch: Re-add fixes FTBFS.

 -- James Page <james.page@ubuntu.com>  Mon, 14 Jul 2014 10:23:43 +0100

kombu (3.0.19-1) unstable; urgency=low

  * New upstream release.
  * Add autopkgtest that runs the upstream test suite against the installed
    package.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Mon, 23 Jun 2014 10:30:21 +0200

kombu (3.0.15-1ubuntu1) utopic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: Drop build depends (and therefore suggests)
      on python-couchdb, as it is not required in main. LP: #844995
    - debian/patches/remove_nose-cover3.patch: Re-add fixes FTBFS.

 -- James Page <james.page@ubuntu.com>  Thu, 22 May 2014 08:32:13 +0100

kombu (3.0.15-1) unstable; urgency=low

  * New upstream release.
  * Update Dependencies on python-amqp to (>= 1.4.5).
  * Add python-redis to Build-Depends to allow tests for the redis transport
    to run and add it to Suggests to for anyone who uses it as a transport.
  * Add python-msgpack to Build-Depends in order to enable further tests.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Wed, 23 Apr 2014 14:13:53 +0200

kombu (3.0.14-1) unstable; urgency=low

  * New upstream release.
  * Make Depends and Build-Depends on python-pymongo versioned (>=
    2.6.2), thanks to Benjamin Drung.
  * Check PGP signature on upstream tarball:
    + Add signature URL to debian/watch.
    + Include upstream public PGP key 030A2708.
    + Allow debian/upstream-signing-key.pgp to be included as a binary.
  * Add patch to remove usage of remote-hosted images in documentation.
  * Remove .PHONY declarations from debian/rules.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Thu, 10 Apr 2014 13:14:55 +0200

kombu (3.0.12-1) unstable; urgency=medium

  * New upstream release.
  * Refresh remove_nose-cover3.patch.
  * Drop remove_nose-cover3.patch, no longer needed.
  * Bump Build-Depends and Depends on python-ampq to >= 1.4.3.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Tue, 11 Feb 2014 11:10:49 +0100

=== debian/control ===
--- 
+++ 
@@ -3,48 +3,75 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Michael Fladischer <FladischerMichael@fladi.at>
-Build-Depends: debhelper (>= 8.1.0~),
-               python-all,
-               python-amqp (<< 2.0),
-               python-amqp (>= 1.3.3),
-               python-anyjson (>= 0.3.3),
-               python-beanstalkc,
-               python-boto,
-               python-django,
-               python-librabbitmq,
-               python-mock,
-               python-nose,
-               python-pika,
-               python-pymongo,
-               python-setuptools,
-               python-simplejson,
-               python-sphinx (>= 1.0.7+dfsg),
-               python-sqlalchemy,
-               python-unittest2,
-               python-yaml
+Uploaders: Michael Fladischer <FladischerMichael@fladi.at>,
+           Brian May <bam@debian.org>
+Build-Depends: debhelper (>= 8.1.0~), dh-python,
+ python-all, python-amqp, python-anyjson (>= 0.3.3),
+ python-django, python-yaml,
+ python-mock, python-msgpack, python-nose,
+ python-pymongo (>= 2.6.2), python-redis, python-setuptools,
+ python-simplejson, python-sphinx (>= 1.0.7+dfsg), python-sqlalchemy,
+ python-beanstalkc, python-boto,
+ python-pika, python-unittest2,
+ python3-all, python3-amqp, python3-anyjson (>= 0.3.3),
+ python3-django, python3-yaml,
+ python3-mock, python3-msgpack, python3-nose,
+ python3-pymongo (>= 2.6.2), python3-redis, python3-setuptools,
+ python3-simplejson, python3-sphinx (>= 1.0.7+dfsg), python3-sqlalchemy,
+# python3-beanstalkc, python3-boto, python3-couchdb (>= 0.8),
+# python3-pika
 Build-Conflicts: python-cjson
 X-Python-Version: >= 2.6
+XS-Testsuite: autopkgtest
 Standards-Version: 3.9.5
 Homepage: http://github.com/ask/kombu/
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/kombu/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/kombu/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/kombu/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/kombu/trunk/
 
 Package: python-kombu
 Architecture: all
-Depends: python-librabbitmq | python-amqp (>= 1.3.3),
+Depends: python-amqp,
          python-anyjson (>= 0.3.3),
          ${misc:Depends},
          ${python:Depends}
 Recommends: python-yaml
 Breaks: python-cjson (<= 1.0.5-4+b1)
-Suggests: python-boto,
-          python-beanstalkc,
+Suggests: python-beanstalkc,
+          python-boto,
           python-django,
           python-kombu-doc,
           python-pika,
-          python-pymongo,
+          python-pymongo (>= 2.6.2),
+          python-redis,
           python-sqlalchemy
+Description: AMQP Messaging Framework for Python
+ The aim of Kombu is to make messaging in Python as easy as possible by
+ providing an idiomatic high-level interface for the AMQP protocol. It is meant
+ to replace the carrot library by providing a compatibility layer.
+ .
+ Features:
+  * Allows application authors to support several message server solutions by
+    using pluggable transports.
+  * Supports automatic encoding, serialization and compression of message
+    payloads.
+  * The ability to ensure that an operation is performed by gracefully handling
+    connection and channel errors.
+
+Package: python3-kombu
+Architecture: all
+Depends: python3-amqp,
+         python3-anyjson (>= 0.3.3),
+         ${misc:Depends},
+         ${python3:Depends}
+Recommends: python3-yaml
+Suggests: python3-beanstalkc,
+          python3-boto,
+          python3-django,
+          python-kombu-doc,
+          python3-pika,
+          python3-pymongo (>= 2.6.2),
+          python3-redis,
+          python3-sqlalchemy
 Description: AMQP Messaging Framework for Python
  The aim of Kombu is to make messaging in Python as easy as possible by
  providing an idiomatic high-level interface for the AMQP protocol. It is meant

## kombu 3.0.24

=== debian/changelog ===
kombu (3.0.24-0ubuntu2~cloud0) trusty-kilo; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 16 Dec 2014 07:47:26 -0500

kombu (3.0.24-0ubuntu2) vivid; urgency=medium

  * d/control: Bump minimum version of python-amqp to 1.4.6.

 -- James Page <james.page@ubuntu.com>  Tue, 09 Dec 2014 14:57:10 +0000

kombu (3.0.24-0ubuntu1) vivid; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Tue, 09 Dec 2014 14:42:55 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Michael Fladischer <FladischerMichael@fladi.at>,
            Brian May <bam@debian.org>
 Build-Depends: debhelper (>= 8.1.0~), dh-python,
- python-all, python-amqp, python-anyjson (>= 0.3.3),
+ python-all, python-amqp (>= 1.4.6), python-anyjson (>= 0.3.3),
  python-django, python-yaml,
  python-mock, python-msgpack, python-nose,
  python-pymongo (>= 2.6.2), python-redis, python-setuptools,
@@ -30,7 +30,7 @@
 
 Package: python-kombu
 Architecture: all
-Depends: python-amqp,
+Depends: python-amqp (>= 1.4.6),
          python-anyjson (>= 0.3.3),
          ${misc:Depends},
          ${python:Depends}

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=kombu

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs docs/.build/html
	dh_auto_build

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; \
	for python in $(shell pyversions -r); do \
	  $$python setup.py test ; \
	done
	set -e; \
	for python in $(shell py3versions -r); do \
	  $$python setup.py test ; \
	done
endif

override_dh_python3:
	dh_python3 -v
	dh_python3 -v

override_dh_compress:
	dh_compress -X .js -X .html

override_dh_clean:
	rm -rf docs/.build
	rm -rf kombu.egg-info/PKG-INFO
	dh_clean

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
http://pypi.python.org/packages/source/k/kombu/kombu-([\d\.]+)\.tar\.gz

## kombu 3.0.26

=== debian/changelog ===
kombu (3.0.26-1ubuntu2~cloud0) trusty-liberty; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 30 Jul 2015 17:58:36 +0000

kombu (3.0.26-1ubuntu2) wily; urgency=medium

  * debian/patches/fix-python-tests.patch: Fix python tests. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 30 Jul 2015 11:23:53 -0400

kombu (3.0.26-1ubuntu1) wily; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: Drop build depends (and therefore suggests)
      on python-couchdb, as it is not in Ubuntu main.

 -- James Page <james.page@ubuntu.com>  Fri, 22 May 2015 11:50:06 -0700

kombu (3.0.26-1) unstable; urgency=medium

  * New upstream release.
  * Format packaging code with wrap-and-sort.
  * Add versioned Depends and Build-Depends on python-amqp and python3-
    amqp for (>= 1.4.6).
  * Remove unnecessary or nonexistant packages from Depends and Build-Depends.
     - python3-sphinx
     - python3-couchdb
     - python3-beanstalkc
     - python3-pika
     - python3-pymongo (no versioned dependency)
  * Fix path for couchdb.py transport file in d/copyright and add author
    email.
  * Drop XS-Testsuite as dpkg can now do autodetection.
  * Format lines in d/control for easier reading.
  * Bump Standards-Version to 3.9.6.
  * Add fix_test_pymongo_uri_options.patch to fix pymongo URI related
    test.
  * Provide unique short and long description for python3-kombu.
  * Set minimum Python3 version to >= 3.3.
  * Set minimum Python version to >= 2.7.
  * Change my email address to fladi@debian.org.

 -- Michael Fladischer <fladi@debian.org>  Tue, 19 May 2015 12:09:41 +0200

=== debian/control ===
--- 
+++ 
@@ -3,27 +3,45 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Michael Fladischer <FladischerMichael@fladi.at>,
+Uploaders: Michael Fladischer <fladi@debian.org>,
            Brian May <bam@debian.org>
-Build-Depends: debhelper (>= 8.1.0~), dh-python,
- python-all, python-amqp (>= 1.4.6), python-anyjson (>= 0.3.3),
- python-django, python-yaml,
- python-mock, python-msgpack, python-nose,
- python-pymongo (>= 2.6.2), python-redis, python-setuptools,
- python-simplejson, python-sphinx (>= 1.0.7+dfsg), python-sqlalchemy,
- python-beanstalkc, python-boto,
- python-pika, python-unittest2,
- python3-all, python3-amqp, python3-anyjson (>= 0.3.3),
- python3-django, python3-yaml,
- python3-mock, python3-msgpack, python3-nose,
- python3-pymongo (>= 2.6.2), python3-redis, python3-setuptools,
- python3-simplejson, python3-sphinx (>= 1.0.7+dfsg), python3-sqlalchemy,
-# python3-beanstalkc, python3-boto, python3-couchdb (>= 0.8),
-# python3-pika
+Build-Depends: debhelper (>= 8.1.0~),
+               dh-python,
+               python-all,
+               python-amqp (>= 1.4.6),
+               python-anyjson (>= 0.3.3),
+               python-beanstalkc,
+               python-boto,
+               python-django,
+               python-mock,
+               python-msgpack,
+               python-nose,
+               python-pika,
+               python-pymongo (>= 2.6.2),
+               python-redis,
+               python-setuptools,
+               python-simplejson,
+               python-sphinx (>= 1.0.7+dfsg),
+               python-sqlalchemy,
+               python-unittest2,
+               python-yaml,
+               python3-all,
+               python3-amqp,
+               python3-anyjson (>= 0.3.3),
+               python3-django,
+               python3-mock,
+               python3-msgpack,
+               python3-nose,
+               python3-pymongo,
+               python3-redis,
+               python3-setuptools,
+               python3-simplejson,
+               python3-sqlalchemy,
+               python3-yaml
 Build-Conflicts: python-cjson
-X-Python-Version: >= 2.6
-XS-Testsuite: autopkgtest
-Standards-Version: 3.9.5
+X-Python-Version: >= 2.7
+X-Python3-Version: >= 3.3
+Standards-Version: 3.9.6
 Homepage: http://github.com/ask/kombu/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/kombu/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/kombu/trunk/
@@ -59,20 +77,18 @@
 
 Package: python3-kombu
 Architecture: all
-Depends: python3-amqp,
+Depends: python3-amqp (>= 1.4.6),
          python3-anyjson (>= 0.3.3),
          ${misc:Depends},
          ${python3:Depends}
 Recommends: python3-yaml
-Suggests: python3-beanstalkc,
+Suggests: python-kombu-doc,
           python3-boto,
           python3-django,
-          python-kombu-doc,
-          python3-pika,
-          python3-pymongo (>= 2.6.2),
+          python3-pymongo,
           python3-redis,
           python3-sqlalchemy
-Description: AMQP Messaging Framework for Python
+Description: AMQP Messaging Framework for Python (Python3 version)
  The aim of Kombu is to make messaging in Python as easy as possible by
  providing an idiomatic high-level interface for the AMQP protocol. It is meant
  to replace the carrot library by providing a compatibility layer.
@@ -84,6 +100,8 @@
     payloads.
   * The ability to ensure that an operation is performed by gracefully handling
     connection and channel errors.
+ .
+ This package contains the Python 3 version of the library.
 
 Package: python-kombu-doc
 Section: doc

## kombu 3.0.33

=== debian/changelog ===
kombu (3.0.33-1ubuntu2) xenial; urgency=medium

  * d/control: Ensure that requirement for amqp >= 1.4.9 is set
    consistently across (Build-)Depends (LP: #1546430).

 -- James Page <james.page@ubuntu.com>  Fri, 04 Mar 2016 12:53:20 +0000

kombu (3.0.33-1ubuntu1) xenial; urgency=low

  [ Corey Bryant ]
  * Merge from Debian unstable.  Remaining changes:
    - debian/control: Drop build depends (and therefore suggests)
      on python-couchdb, as it is not in Ubuntu main.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 17 Feb 2016 09:07:56 -0500

kombu (3.0.33-1) unstable; urgency=medium

  * New upstream release.

 -- Brian May <bam@debian.org>  Tue, 19 Jan 2016 13:12:11 +1100

kombu (3.0.32-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Sat, 02 Jan 2016 16:57:52 +0100

kombu (3.0.30-1) unstable; urgency=medium

  * New upstream version.

 -- Brian May <bam@debian.org>  Mon, 07 Dec 2015 21:25:47 +1100

kombu (3.0.29-2) unstable; urgency=medium

  * Fix FTBS issues by applying upstream patch. Closes: #806334.

 -- Brian May <bam@debian.org>  Sun, 29 Nov 2015 09:34:41 +1100

kombu (3.0.29-1) unstable; urgency=medium

  * New upstream version.

 -- Brian May <bam@debian.org>  Thu, 19 Nov 2015 10:06:35 +1100

kombu (3.0.27-1) unstable; urgency=low

  * New upstream release.
  * Bump debhelper compatibility and version to 9.

 -- Michael Fladischer <fladi@debian.org>  Mon, 12 Oct 2015 08:44:19 +0200

kombu (3.0.26-2) unstable; urgency=medium

  * Add fix_mock_tests.patch to fix assertions usage in redis tests
    (Closes: #796438).
  * Update Homepage field (Closes: #770476).

 -- Michael Fladischer <fladi@debian.org>  Wed, 24 Jun 2015 10:56:18 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Michael Fladischer <fladi@debian.org>,
            Brian May <bam@debian.org>
-Build-Depends: debhelper (>= 8.1.0~),
+Build-Depends: debhelper (>= 9),
                dh-python,
                python-all,
-               python-amqp (>= 1.4.6),
+               python-amqp (>= 1.4.9),
                python-anyjson (>= 0.3.3),
                python-beanstalkc,
                python-boto,
@@ -26,7 +26,7 @@
                python-unittest2,
                python-yaml,
                python3-all,
-               python3-amqp,
+               python3-amqp (>= 1.4.9),
                python3-anyjson (>= 0.3.3),
                python3-django,
                python3-mock,
@@ -42,13 +42,13 @@
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.3
 Standards-Version: 3.9.6
-Homepage: http://github.com/ask/kombu/
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/kombu/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/kombu/trunk/
+Homepage: https://github.com/celery/kombu/
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/kombu.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/kombu.git
 
 Package: python-kombu
 Architecture: all
-Depends: python-amqp (>= 1.4.6),
+Depends: python-amqp (>= 1.4.9),
          python-anyjson (>= 0.3.3),
          ${misc:Depends},
          ${python:Depends}
@@ -77,7 +77,7 @@
 
 Package: python3-kombu
 Architecture: all
-Depends: python3-amqp (>= 1.4.6),
+Depends: python3-amqp (>= 1.4.9),
          python3-anyjson (>= 0.3.3),
          ${misc:Depends},
          ${python3:Depends}

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
http://pypi.debian.net/kombu/kombu-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## kombu 3.0.35

=== debian/changelog ===
kombu (3.0.35-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Added missing build-depends-indep on python{3,}-funcsigs (Closes: #811477).

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Apr 2016 17:02:00 +0000

kombu (3.0.35-1) unstable; urgency=medium

  * New upstream release.

 -- Brian May <bam@debian.org>  Wed, 06 Apr 2016 13:08:03 +1000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kombu
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Michael Fladischer <fladi@debian.org>,
            Brian May <bam@debian.org>
 Build-Depends: debhelper (>= 9),
@@ -12,7 +11,9 @@
                python-anyjson (>= 0.3.3),
                python-beanstalkc,
                python-boto,
+               python-couchdb (>= 0.8),
                python-django,
+               python-funcsigs,
                python-mock,
                python-msgpack,
                python-nose,
@@ -26,9 +27,10 @@
                python-unittest2,
                python-yaml,
                python3-all,
-               python3-amqp (>= 1.4.9),
+               python3-amqp,
                python3-anyjson (>= 0.3.3),
                python3-django,
+               python3-funcsigs,
                python3-mock,
                python3-msgpack,
                python3-nose,
@@ -41,14 +43,14 @@
 Build-Conflicts: python-cjson
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.3
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://github.com/celery/kombu/
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/kombu.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/kombu.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/kombu.git
 
 Package: python-kombu
 Architecture: all
-Depends: python-amqp (>= 1.4.9),
+Depends: python-amqp (>= 1.4.6),
          python-anyjson (>= 0.3.3),
          ${misc:Depends},
          ${python:Depends}
@@ -56,6 +58,7 @@
 Breaks: python-cjson (<= 1.0.5-4+b1)
 Suggests: python-beanstalkc,
           python-boto,
+          python-couchdb (>= 0.8),
           python-django,
           python-kombu-doc,
           python-pika,
@@ -77,7 +80,7 @@
 
 Package: python3-kombu
 Architecture: all
-Depends: python3-amqp (>= 1.4.9),
+Depends: python3-amqp (>= 1.4.6),
          python3-anyjson (>= 0.3.3),
          ${misc:Depends},
          ${python3:Depends}

=== debian/rules ===
--- 
+++ 
@@ -10,16 +10,7 @@
 	dh_auto_build
 
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	set -e; \
-	for python in $(shell pyversions -r); do \
-	  $$python setup.py test ; \
-	done
-	set -e; \
-	for python in $(shell py3versions -r); do \
-	  $$python setup.py test ; \
-	done
-endif
+	dh_auto_test -- --system=custom --test-args="{interpreter} setup.py test"
 
 override_dh_python3:
 	dh_python3 -v

## kombu 3.0.35+dfsg

=== debian/changelog ===
kombu (3.0.35+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fix "Non-Free ICC profiles in images" add repack scripts to remove
    (Closes: #855502)
  * Remove all egg-info in debian/clean 
  * Add Artistic and GPL to debian/copyright for repack.stub 
  * Bump standards version from 3.9.7 to 3.9.8 (no change required) 

 -- Christopher Hoskin <mans0954@debian.org>  Sun, 19 Feb 2017 11:37:19 +0000

=== debian/control ===
--- 
+++ 
@@ -43,7 +43,7 @@
 Build-Conflicts: python-cjson
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.3
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/celery/kombu/
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/kombu.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/kombu.git
